Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518463 - Review Request: tinyobjloader - Tiny wavefront obj loader
Summary: Review Request: tinyobjloader - Tiny wavefront obj loader
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 00:47 UTC by Rich Mattes
Modified: 2018-02-08 00:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 00:50:54 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rich Mattes 2017-11-29 00:47:52 UTC
Spec URL: https://rmattes.fedorapeople.org/RPMS/tinyobjloader/tinyobjloader.spec
SRPM URL: https://rmattes.fedorapeople.org/RPMS/tinyobjloader/tinyobjloader-1.0.6-1.fc27.src.rpm
Description: 
Tiny but powerful single file wavefront obj loader written in C++. No
dependency except for C++ STL. It can parse over 10M polygons with moderate
memory and time.

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint tinyobjloader.spec ../RPMS/x86_64/tinyobjloader-*
tinyobjloader.x86_64: W: spelling-error Summary(en_US) wavefront -> wave front, wave-front, waterfront
tinyobjloader.x86_64: W: spelling-error %description -l en_US wavefront -> wave front, wave-front, waterfront
tinyobjloader-debugsource.x86_64: W: no-documentation
tinyobjloader-devel.x86_64: W: no-dependency-on tinyobjloader/tinyobjloader-libs/libtinyobjloader
tinyobjloader-devel.x86_64: W: only-non-binary-in-usr-lib
tinyobjloader-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 6 warnings.

scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=23445302

This package is needed to enable the BulletRobotics library in bullet-extras.  Bullet bundles a copy of this library - this review request is the first step in unbundling it.

Comment 1 Artur Iwicki 2017-11-29 22:55:46 UTC
>%install
>rm -rf $RPM_BUILD_ROOT
The packaging guidelines say that "The contents of the buildroot SHOULD NOT be removed in the first line of %install."
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

>rm -rf $RPM_BUILD_ROOT
>rm -rf %{buildroot}/%{_docdir}
The guidelines also say that it's preferred not to mix $RPM_BUILD_ROOT and %{buildroot}. You should pick one and stick with it.

Comment 2 Rich Mattes 2017-11-30 01:49:29 UTC
Thanks.  I removed the "rm -rf $RPM_BUILD_ROOT" line, which fixes both suggestions.

Spec URL: https://rmattes.fedorapeople.org/RPMS/tinyobjloader/tinyobjloader.spec
SRPM URL: https://rmattes.fedorapeople.org/RPMS/tinyobjloader/tinyobjloader-1.0.6-2.fc27.src.rpm

Comment 3 Robert-André Mauchin 2017-12-03 12:56:56 UTC
 - This:

Requires: %{name}${?_isa} = %{version}-%{release}

   should be:

Requires: %{name}%{?_isa} = %{version}-%{release}


Notice the % instead of $.

Package is fine otherwise.

Comment 5 Robert-André Mauchin 2017-12-04 23:44:42 UTC
All good, package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Apache (v2.0)",
     "Unknown or generated". 83 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/tinyobjloader/review-
     tinyobjloader/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     tinyobjloader-devel , tinyobjloader-debuginfo , tinyobjloader-
     debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: tinyobjloader-1.0.6-2.fc28.x86_64.rpm
          tinyobjloader-devel-1.0.6-2.fc28.x86_64.rpm
          tinyobjloader-debuginfo-1.0.6-2.fc28.x86_64.rpm
          tinyobjloader-debugsource-1.0.6-2.fc28.x86_64.rpm
          tinyobjloader-1.0.6-2.fc28.src.rpm
tinyobjloader.x86_64: W: spelling-error Summary(en_US) wavefront -> wave front, wave-front, waterfront
tinyobjloader.x86_64: W: spelling-error %description -l en_US wavefront -> wave front, wave-front, waterfront
tinyobjloader-devel.x86_64: W: only-non-binary-in-usr-lib
tinyobjloader-devel.x86_64: W: no-documentation
tinyobjloader-debugsource.x86_64: W: no-documentation
tinyobjloader.src: W: spelling-error Summary(en_US) wavefront -> wave front, wave-front, waterfront
tinyobjloader.src: W: spelling-error %description -l en_US wavefront -> wave front, wave-front, waterfront
5 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 6 Rich Mattes 2017-12-04 23:59:23 UTC
Thanks for the quick review!

Comment 7 Gwyn Ciesla 2017-12-05 01:56:39 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tinyobjloader


Note You need to log in before you can comment on or make changes to this bug.